import { integer, pgTable, text, timestamp } from "drizzle-orm/pg-core";

export const printerLog = pgTable("printer_log", {
	id: integer().primaryKey().generatedAlwaysAsIdentity(),
	name: text("name"),
	ip: text("ip"),
	printerSN: text("printer_sn"),
	condition: text("condition").notNull(),
	message: text("message"),
	createdAt: timestamp("created_at", { withTimezone: true }).defaultNow(),
});
